Name: ttf2pt1
Version: 3.4.4
Release: 1
Summary: TrueType to Adobe Type 1 font converter

Group: Applications/Publishing
License: GPLv2+ and BSD with advertising
URL: http://%{name}.sourceforge.net
Source: http://download.sourceforge.net/%name/%name-%version.tgz
Patch0: %{name}-destdir.patch
Patch1: %{name}-freetype.patch
Patch10: %{name}-%{version}-aix.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires: patch

BuildRequires: autotrace >= 0.31.1-2
BuildRequires: freetype2-devel >= 2.4.6-1
BuildRequires: t1lib-devel >= 5.1.2-1

Requires: autotrace >= 0.31.1-2
Requires: freetype2 >= 2.4.6-1
Requires: t1lib >= 5.1.2-1
Requires: t1utils >= 1.37-1


%description
Ttf2pt1 is a font converter from the True Type format (and some other formats
supported by the FreeType 
library as well) to the Adobe Type1 format.


%prep
%setup -q
export PATH=/opt/freeware/bin:$PATH
%patch0
%patch1
%patch10


%build
make all
cd other
make cmpf dmpf


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

make DESTDIR=${RPM_BUILD_ROOT} INSTDIR=%{_prefix} TXTFILES= MANDIR=%{_mandir} VERSION=%{version} install

# Use the system t1asm from t1utils instead of a local version.
rm -r ${RPM_BUILD_ROOT}%{_libexecdir}

# remove scripts only used during build
rm ${RPM_BUILD_ROOT}%{_datadir}/%{name}/scripts/convert
rm ${RPM_BUILD_ROOT}%{_datadir}/%{name}/scripts/convert.cfg.sample
rm ${RPM_BUILD_ROOT}%{_datadir}/%{name}/scripts/frommap
rm ${RPM_BUILD_ROOT}%{_datadir}/%{name}/scripts/html2man
rm ${RPM_BUILD_ROOT}%{_datadir}/%{name}/scripts/inst_dir
rm ${RPM_BUILD_ROOT}%{_datadir}/%{name}/scripts/inst_file
rm ${RPM_BUILD_ROOT}%{_datadir}/%{name}/scripts/mkrel
rm ${RPM_BUILD_ROOT}%{_datadir}/%{name}/scripts/unhtml

# put tools in the standard path
mv ${RPM_BUILD_ROOT}%{_datadir}/%{name}/other/cmpf ${RPM_BUILD_ROOT}%{_bindir}/%{name}_cmpf
mv ${RPM_BUILD_ROOT}%{_datadir}/%{name}/other/dmpf ${RPM_BUILD_ROOT}%{_bindir}/%{name}_dmpf
cp other/cntstems.pl ${RPM_BUILD_ROOT}%{_bindir}/%{name}_cntstems
cp other/lst.pl ${RPM_BUILD_ROOT}%{_bindir}/%{name}_lst
cp other/showdf ${RPM_BUILD_ROOT}%{_bindir}/%{name}_showdf
cp other/showg ${RPM_BUILD_ROOT}%{_bindir}/%{name}_showg

# remove unwanted directories
rm -rf ${RPM_BUILD_ROOT}%{_datadir}%{name}/app
rm -rf ${RPM_BUILD_ROOT}%{_datadir}%{name}/other

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc CHANGES* README* FONTS FONTS.html COPYRIGHT app/TeX
%doc scripts/convert.cfg.sample
%{_bindir}/%{name}*
%{_datadir}/%name
%{_mandir}/man1/*
/usr/bin/%{name}*


%changelog
* Tue Dec 11 2012 Michael Perzl <michael@perzl.org> - 3.4.4-1
- first version for AIX5L v5.1 and higher
